:	command file to creat the system library "/lib/liba.a"
:	$1 = {fpp | nofpp}	for floating point hardware or not
echo 
echo /lib/lib.a

if $1x = x	echo nofpp assumed

chdir ../aslib1
echo atan.s ;	as atan.s ;	mv a.out ../atan.o
echo atof.s ;	as atof.s ;	mv a.out ../atof.o
echo atoi.s ;	as atoi.s ;	mv a.out ../atoi.o
echo compar.s ;	as compar.s ;	mv a.out ../compar.o
echo crypt.s ;	as crypt.s ;	mv a.out ../crypt.o
echo dpadd.s ;	as dpadd.s ;	mv a.out ../dpadd.o
echo ecvt.s ;	as ecvt.s ;	mv a.out ../ecvt.o
echo exp.s ;	as exp.s ;	mv a.out ../exp.o
echo floor.s ;	as floor.s ;	mv a.out ../floor.o
echo fmod.s ;	as fmod.s ;	mv a.out ../fmod.o

chdir ../fp
if $1x != fppx goto nofpp
echo fakfp.s ;	as fakfp.s ;	mv a.out ../fp.o
goto endfp
: nofpp
echo fp?.s ;	as fp?.s ;	mv a.out ../fp.o
: endfp

chdir ../aslib2
echo gamma.s ;	as gamma.s ;	mv a.out ../gamma.o
echo get.s ;	as get.s ;	mv a.out ../get.o
echo hypot.s ;	as hypot.s ;	mv a.out ../hypot.o
echo ldiv.s ;	as ldiv.s ;	mv a.out ../ldiv.o
echo log.s ;	as log.s ;	mv a.out ../log.o
echo mesg.s ;	as mesg.s ;	mv a.out ../mesg.o
echo pow.s ;	as pow.s ;	mv a.out ../pow.o
echo put.s ;	as put.s ;	mv a.out ../put.o
echo qsort.s ;	as qsort.s ;	mv a.out ../qsort.o
echo rand.s ;	as rand.s ;	mv a.out ../rand.o
echo savr5.s ;	as savr5.s ;	mv a.out ../savr5.o
echo sin.s ;	as sin.s ;	mv a.out ../sin.o
echo sqrt.s ;	as sqrt.s ;	mv a.out ../sqrt.o
echo switch.s ;	as switch.s ;	mv a.out ../switch.o
echo lnxx.s ;	as lnxx.s ;	mv a.out ../lnxx.o

chdir ..
ar rv /lib/liba.a \
atan.o \
atof.o \
atoi.o \
crypt.o \
dpadd.o \
ecvt.o \
floor.o \
fmod.o \
fp.o \
gamma.o \
get.o \
hypot.o \
ldiv.o \
mesg.o \
pow.o \
put.o \
qsort.o \
rand.o \
savr5.o \
sin.o \
sqrt.o \
switch.o \
lnxx.o \
compar.o \
exp.o \
log.o \

rm [a-m]*.o
rm *.o
chmod 644 /lib/liba.a
chown bin /lib/liba.a
